<?php
chdir(dirname(__FILE__));
chdir("..");

if (file_exists("./include/global.php")) {
    include("./include/global.php");
    $V="0.8.7";
} else {
    include("./include/config.php");
    $V="0.8.6";
}

include("./lib/snmp.php");

/*
 * returns snmp result-string using cacti built-in function
 */
function snmp_data($oid) {
    global $snmp_details;
    $d=$snmp_details;

    $result=(count($d)>7) ? cacti_snmp_get($d['hostname'], $d['community'], $oid, $d['version'], $d['username'], $d['password'], $d['auth_proto'], $d['priv_pass'], $d['priv_proto'], $d['context'], $d['port'], $d['timeout']) :
     cacti_snmp_get($d['hostname'], $d['community'], $oid, $d['version'], $d['username'], $d['password'], $d['port'], $d['timeout']);
    if ($result===false || $result=="" || $result=="U" || stristr($result,"No Such")) {
        return "NaN";
    } else {
        $result = trim(substr($result,strrpos($result,":")+2));
        return (intval($result)==0) ? 0 : $result;
    }
}

/*
 * returns snmp result-array using cacti built-in function
 */
function snmp_data_array($oid) {
    global $snmp_details;
    $d=$snmp_details;

    snmp_set_oid_numeric_print(1);
    snmp_set_enum_print(TRUE);

    $array=$result=(count($d)>7) ? cacti_snmp_walk($d['hostname'], $d['community'], $oid, $d['version'], $d['username'], $d['password'], $d['auth_proto'], $d['priv_pass'], $d['priv_proto'], $d['context']) :
     cacti_snmp_walk($d['hostname'], $d['community'], $oid, $d['version'], $d['username'], $d['password'], $d['port'], $d['timeout']);
    return $array;
}

?>
